## org.eclipse.datatools.sqltools.core.profile
Class ConnectProfile

    java.lang.Object
      org.eclipse.datatools.sqltools.core.profile.ConnectProfile

    public class ConnectProfile

extends java.lang.Object

Connection profile is used to describe how to connect to a particular database. It contains a DatabaseIdentifier to identify which database to connect, and username/password information for connecting to that database. TODO CONN check CP constants

Author:
  Yang Liu

Constructor Summary
`ConnectProfile(IConnectionProfile profile)`
`ConnectProfile(java.lang.String serverType, java.lang.String host, int port, java.lang.String dbname, java.lang.String user, java.lang.String pass)` constructor.

Method Summary
`boolean` `equals(java.lang.Object profile)`
`java.lang.String` `getDbName()`
`java.lang.String` `getHost()`
`java.lang.String` `getName()`
`java.lang.String` `getPass()` get password
`int` `getPort()`
`java.lang.String` `getProviderId()`
`java.lang.String` `getServerType()` to which database
`java.lang.String` `getUrl()`
`java.lang.String` `getUser()` get user name
`boolean` `isOnlyNameChanged(ConnectProfile p)`
`void` `setName(java.lang.String name)`
`void` `setProviderId(java.lang.String id)`
`void` `setUrl(java.lang.String url)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectProfile

    public ConnectProfile(java.lang.String serverType,
                          java.lang.String host,
                          int port,
                          java.lang.String dbname,
                          java.lang.String user,
                          java.lang.String pass)

  constructor.

  Parameters:
    `di` - can't be null
    `user` -
    `pass` -

### ConnectProfile

    public ConnectProfile(IConnectionProfile profile)

Method Detail

### getServerType

    public java.lang.String getServerType()

  to which database

  Returns:

### getDbName

    public java.lang.String getDbName()

### getPass

    public java.lang.String getPass()

  get password

  Returns:

### getUser

    public java.lang.String getUser()

  get user name

  Returns:

### getPort

    public int getPort()

  Returns:

### getHost

    public java.lang.String getHost()

### equals

    public boolean equals(java.lang.Object profile)

  Overrides:
    `equals` in class `java.lang.Object`

### getName

    public java.lang.String getName()

  Returns:
    Returns the _name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `_name` - The _name to set.

### isOnlyNameChanged

    public boolean isOnlyNameChanged(ConnectProfile p)

### getUrl

    public java.lang.String getUrl()

  Returns:
    Returns the _url.

### setUrl

    public void setUrl(java.lang.String url)

  Parameters:
    `_url` - The _url to set.

### getProviderId

    public java.lang.String getProviderId()

  Returns:
    Returns the _providerId.

### setProviderId

    public void setProviderId(java.lang.String id)

  Parameters:
    `id` - The _providerId to set.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.